package com.rehome.jpahefengweather.dto;


import com.rehome.jpahefengweather.utils.MapUtil;
import java.util.Map;

/**
 * @author HuangWenFei
 * @version v1.0.0.0
 * Created DateTime 2022-05-01 16:22
 */
//@ApiModel(value = "NmcBaseDto", description = "接收数据")
public class NmcBaseDto {
    //@ApiModelProperty("API状态码，具体含义请参考状态码 0请求成功")
    private int code;
    //@ApiModelProperty("当前API的最近更新时间")
    private String msg;

    /**
     * 根据 map 还原 NmcBaseDto
     *
     * @param map 映射map
     * @return com.rehome.jpahefengweather.dto.NmcBaseDto
     * @author HuangWenFei
     * Created DateTime 2022-04-19 10:02
     */
    public static NmcBaseDto ofSelfMap(Map<String, Object> map) {
        return MapUtil.fromMap(map, NmcBaseDto.class);
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
